weka.core.pmml.jaxbbindings

## Class Matrix

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Matrix

-     public class Matrix
      extends java.lang.Object

  Java class for Matrix element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Matrix">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <choice minOccurs="0">
                 <group ref="{http://www.dmg.org/PMML-4_1}NUM-ARRAY" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}MatCell" maxOccurs="unbounded"/>
               </choice>
               <attribute name="diagDefault" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="kind" default="any">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="diagonal"/>
                     <enumeration value="symmetric"/>
                     <enumeration value="any"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="nbCols" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="nbRows" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="offDiagDefault" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Matrix()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getDiagDefault()` Gets the value of the diagDefault property.
    `java.lang.String` | `getKind()` Gets the value of the kind property.
    `java.util.List<MatCell>` | `getMatCell()` Gets the value of the matCell property.
    `java.math.BigInteger` | `getNbCols()` Gets the value of the nbCols property.
    `java.math.BigInteger` | `getNbRows()` Gets the value of the nbRows property.
    `java.util.List<ArrayType>` | `getNUMARRAY()` Gets the value of the numarray property.
    `java.lang.Double` | `getOffDiagDefault()` Gets the value of the offDiagDefault property.
    `void` | `setDiagDefault(java.lang.Double value)` Sets the value of the diagDefault property.
    `void` | `setKind(java.lang.String value)` Sets the value of the kind property.
    `void` | `setNbCols(java.math.BigInteger value)` Sets the value of the nbCols property.
    `void` | `setNbRows(java.math.BigInteger value)` Sets the value of the nbRows property.
    `void` | `setOffDiagDefault(java.lang.Double value)` Sets the value of the offDiagDefault property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Matrix

          public Matrix()

  - ### Method Detail

    - #### getNUMARRAY

          public java.util.List<ArrayType> getNUMARRAY()

      Gets the value of the numarray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the numarray property.

      For example, to add a new item, do as follows:

              getNUMARRAY().add(newItem);

      Objects of the following type(s) are allowed in the list `ArrayType`

    - #### getMatCell

          public java.util.List<MatCell> getMatCell()

      Gets the value of the matCell property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the matCell property.

      For example, to add a new item, do as follows:

              getMatCell().add(newItem);

      Objects of the following type(s) are allowed in the list `MatCell`

    - #### getDiagDefault

          public java.lang.Double getDiagDefault()

      Gets the value of the diagDefault property.
      Returns:
        possible object is `Double`

    - #### setDiagDefault

          public void setDiagDefault(java.lang.Double value)

      Sets the value of the diagDefault property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getKind

          public java.lang.String getKind()

      Gets the value of the kind property.
      Returns:
        possible object is `String`

    - #### setKind

          public void setKind(java.lang.String value)

      Sets the value of the kind property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNbCols

          public java.math.BigInteger getNbCols()

      Gets the value of the nbCols property.
      Returns:
        possible object is `BigInteger`

    - #### setNbCols

          public void setNbCols(java.math.BigInteger value)

      Sets the value of the nbCols property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getNbRows

          public java.math.BigInteger getNbRows()

      Gets the value of the nbRows property.
      Returns:
        possible object is `BigInteger`

    - #### setNbRows

          public void setNbRows(java.math.BigInteger value)

      Sets the value of the nbRows property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getOffDiagDefault

          public java.lang.Double getOffDiagDefault()

      Gets the value of the offDiagDefault property.
      Returns:
        possible object is `Double`

    - #### setOffDiagDefault

          public void setOffDiagDefault(java.lang.Double value)

      Sets the value of the offDiagDefault property.
      Parameters:
        `value` - allowed object is `Double`